package com.gluontableedit;

import javafx.application.Application;
import javafx.geometry.Rectangle2D;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.Tab;
import javafx.scene.control.TabPane;
import javafx.stage.Screen;
import javafx.stage.Stage;

public class TableEdit extends Application {

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage stage) {
		Scene scene = new Scene(new Group());
		final Rectangle2D visualBounds = Screen.getPrimary().getVisualBounds();
		double width = visualBounds.getWidth();
		double height = visualBounds.getHeight();
		stage.setTitle("Table View Sample");
		stage.setWidth(width);
		stage.setHeight(height);

		TabPane tabPane = new TabPane();
		tabPane.getTabs().add(new Tab("First tab", new Label("First tab content")));
		
		TablePane tablePane = new TablePane();
		tabPane.getTabs().add(new Tab("Table tab", tablePane));

		tabPane.getTabs().add(new Tab("Last tab", new Label("Last tab content")));

		((Group) scene.getRoot()).getChildren().addAll(tabPane);

		stage.setScene(scene);
		stage.show();
	}
}
