package com.sample.controllers;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.fxml.FXML;
import javafx.scene.control.CheckBox;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextField;

public final class CtrSetGen extends Controller {

	private static CtrSetGen instance;

	//	@FXML private CheckBox switchGenSound;
	@FXML private CheckBox switchNetFreqSync;
	@FXML private CheckBox switchNorm1stHarm;

	@FXML private CheckBox switchBcEnable;
	@FXML private ChoiceBox<String> choiceBcRepeat;

	@FXML private CheckBox switchSoftGenEnable;
	@FXML private TextField textfSoftGenTime;
	// ==========================================================================

	private enum Channel{

		U1(1),
		I1(2),
		U2(3),
		I2(4),
		U3(5),
		I3(6);

		// ==========================================================================

		private final int value;

		// ==========================================================================

		private Channel(final int value) {

			this.value = value;
		}

		// ==========================================================================

		public int getValue() {

			return value;
		}
	}

	// ==========================================================================

	public CtrSetGen() {

		instance = this;
	}

	// ==========================================================================

	@Override
	public void initialize(final URL location, final ResourceBundle resources) {

		super.initialize(location, resources);
	}

	// ==========================================================================

	public static CtrSetGen getInstance() {

		return instance;
	}

	// ==========================================================================

	@Override
	public void close() {

		CtrMain.getInstance().setBlur(false);
		super.close();
	}

	// ==========================================================================
}
