package uk.vanleersum.smuggler;

import javafx.application.Application;
import javafx.geometry.Rectangle2D;
import javafx.scene.Scene;
import javafx.stage.Screen;
import javafx.stage.Stage;
import uk.vanleersum.smuggler.gui.GuiRoot;
import uk.vanleersum.smuggler.gui.SmugglerPane;

public class Smuggler extends Application {

	public static void main(final String[] args) {
		Application.launch(args);
	}


	@Override
	public final void start(final Stage primaryStage) {
		
		final GuiRoot guiRoot = new GuiRoot();
		final SmugglerPane simplePane = new SmugglerPane(guiRoot);
		guiRoot.setChild(simplePane, false);

		Scene scene;
		final Rectangle2D visualBounds = Screen.getPrimary().getVisualBounds();
		scene = new Scene(guiRoot, visualBounds.getWidth(), visualBounds.getHeight());

		primaryStage.setScene(scene);
		primaryStage.show();
	}
}
